<?php
date_default_timezone_set('America/Lima');
session_start();

$y=date('Y');
$m=date('m');
$d=date('d');

$fec1="$d-$m-$y";
$fec2="$d-$m-$y";


$punvenid = $_SESSION['puntoventa_id'];
require_once("../formatos/formato.php");

?>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
		    <div class="card">
		        <div class="card-header">
					<div id="filtroregistros">
						
						<form name="for_fil_com" id="for_fil_com" target="_blank" action="compra_reporte.php" method="post">
							
							<div class="row">
							
							<div class=" col-lg-2 col-sm-3 col-6 ">
						  <label>Desde:</label>

						  <div class="input-group">
							<div class="input-group-prepend">
							  <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_fil_com_fec1" type="text" id="txt_fil_com_fec1" value="<?php echo $fec1; ?>" class="form-control" >
						  </div>
						</div>
						
						<div class=" col-lg-2 col-sm-3 col-6 ">
						  <label>Hasta:</label>

						  <div class="input-group">
							<div class="input-group-prepend">
							  <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_fil_com_fec2" type="text" id="txt_fil_com_fec2" value="<?php echo $fec2; ?>" class="form-control" >
						  </div>
						</div>
						
						
						<div class="col-lg-3  col-sm-3 col-6">				
								<label for="cmb_fil_puntoventa_id">Punto Venta:</label>
								<select name="cmb_fil_puntoventa_id" id="cmb_fil_puntoventa_id" class="form-control input-sm">
								</select>
																	
						</div>
						
							
							<div style="display: inline-block; white-space: nowrap;padding-top:30px;" class="col-lg-2 col-sm-6 col-md-6  col-6">		
								<span onClick="cajageneral_cst_tabla()" id="btn_filtrar" class="btn btn-primary"><i class="fas fa-search"></i></span>
								<span onClick="cajageneral_cst_filtro()" id="btn_resfil"  class="btn btn-default ">Restablecer</span>
							</div> 
							
							</div>   
						</form>	
						
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</section>

<script type="text/javascript">

	

function cmb_fil_puntoventa_id(punven){
		$.ajax({
 					type: "POST",
 					url: "../puntoventa/cmb_punvent_id.php",
 					async:true,
 					dataType: "html",                      
 					data: ({						
 						emp_id:'',
						punven_id :punven,
						like:'<?php echo $like;?>',
 						vista:	''
 					}),
 					beforeSend: function() {
 						$('#cmb_fil_puntoventa_id').html('<option value="">Cargando...</option>');
 					},
 					success: function(html){			
 						$('#cmb_fil_puntoventa_id').html(html);
 					},
 					complete: function(){
 						$('#txt_punven_id').val($('#cmb_fil_puntoventa_id').val());
 						}
 					});
}

	
	$(function(){
				
		cmb_fil_puntoventa_id('<?php echo $punven_id; ?>');
				
				
		$('#txt_fil_com_fec1, #txt_fil_com_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			//compra_tabla();
		}); 

		cajageneral_cst_tabla();
		
	});	
</script> 